Bug 1259 - .desktop files in audiokonverter are not compliant with XDG
: .desktop files in audiokonverter are not compliant with XDG
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
: ROSA 2012.1 Release
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-18 15:48 MSK by Postnikov Dmitry
Modified: 2013-01-09 10:25 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
recorditnow.txt (3.65 KB, text/plain)
2012-12-18 15:48 MSK, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2012-12-18 15:48:00 MSK
Created attachment 930 [details]
recorditnow.txt

Description of problem:
Recorditnow error in install process.
After downloads, installl recorditnow, and kbuildsycoca4 running... write error.

See att.
Comment 1 Denis Silakov 2012-12-18 15:56:57 MSK
The problematic *desktop files come from audiokonverter package. Output of kbuildsycoca4 is not synchronized with output of urpmi, so there is no correlation between these errors and packages being installed atm.
Comment 2 Denis Silakov 2012-12-22 20:49:47 MSK
Advisory:

Added trailing semicolons to audiofrommovie4.desktop and audioconvert4.desktop files to avoid error messages in console.

Build lists:
https://abf.rosalinux.ru/build_lists/858089
https://abf.rosalinux.ru/build_lists/858090
https://abf.rosalinux.ru/build_lists/858085
https://abf.rosalinux.ru/build_lists/858086

The latter two build are for restricted repo - actually the restricted package shouldn't be affected, but I've rebuilt these packages for test purposes and for consistency, since they are built from the same sources and should have the same release number.

Also note that these XDG issues don't seem to break anything, so they are not critical - just a noise in the logs. I've fixed one case in audiokonverter since this is not hard, but we have quite a few packages with similar issues. Please don't report bugs against every of them, we just don't have enough resources to fix them all at once:) Instead, we will provide a service (one more report in fba.rosalinux.ru) to track such issues in packages and we'll fix them eventually.
Comment 3 Vladimir Potapov 2012-12-24 15:24:24 MSK
Hm, this error showed without installed audioconverter package.
How to update the unlinked package can solve the problem?
Comment 4 Denis Silakov 2012-12-24 15:43:23 MSK
Hm, are you sure you get error messages about audiofrommovie4.desktop and audioconvert4.desktop files, not about some other files?

This fix is intended to fix only those two files. As I said, we likely have a bunch of other *desktop files with similar issue (e.g., plasma-wallpaper-image.desktop which is also mentioned in the attachment); they won't be fixed now (instead, we will add a new spec-helper script that will fix *desktop files during the build process, so such issues will go away automatically with package rebuilds).
Comment 5 Vladimir Potapov 2012-12-24 16:34:41 MSK
Attachment content error when install other package....Title and content errors are not the same.
I'll check the package yet.
Comment 6 Denis Silakov 2012-12-24 16:52:02 MSK
(In reply to comment #5)
> Attachment content error when install other package....Title and content
> errors are not the same.

The thing is that after installing that package a rebuild of MIME cache was initiated that led to global rescan of all *desktop files.
Comment 7 Vladimir Potapov 2012-12-25 17:54:39 MSK
audiokonverter-5.9.1-6plf-plf2012.1
audiokonverter-5.9.1-6-rosa2012.1
*********************** Advisory *************************
Added trailing semicolons to audiofrommovie4.desktop and audioconvert4.desktop files to avoid error messages in console.
**********************************************************
QA Verified